Subject: Re: kernel ported from ELDK 3.0 hangs (loops in idled()) on my custom MPC870 Board

From: Edward Hong <[email-masked]>
Date: Sat, 4 Jun 2005 17:40:42 -0600

On 6/3/05, Wolfgang Denk <[email-masked]> wrote:
> In message <[email-masked]> you wrote:
> > I am trying to bring up Linux on a custom MPC870 Board using ELDK 3.0.
>=20
> Why are you using old (not to say ancient) tools?
>=20
I had the tool ready for a while. After porting u-boot, I realized
that there had been several new tool releases.

> > The ported kernel from ELDK 3.0 hangs (loops in idled()) and the kernel=
_thread
> > init never gets started!???
>=20
> How do you know that init didn't  run?  Runningthe  idle  loop  is  a
> perfectly normal situation.
>=20
My debug lines at the beginning of init never get printed on the
console or in the log_buf.

>=20
> Are you sure that your kernel configuration is sensible? For example,
> did you configure a console port that matches your hardware? Did  you
> configure the serial ports (SMC / SCC) at all?
>=20
I am positive about the kernel configuration. SMC1 was configured as my=20
console.

Any suggestions for debugging?

> Best regards,
>=20
> Wolfgang Denk
>=20
> --
> Software Engineering:  Embedded and Realtime Systems,  Embedded Linux
> Phone: (+49)-8142-66989-10 Fax: (+49)-8142-66989-80 Email: [email-masked]
> I read part of it all the way through.
>=20

Thank you!

Edward